UDDI Services

Universal Description, Discovery and Integration (UDDI) is an industry specification for publishing and locating information about Web services. It defines an information framework that enables you to describe and classify your organization, its services, and the technical details about the interfaces of the Web services you expose. The framework enables consistent discovery of services or interfaces of a particular type, classification, or function. UDDI also defines a set of Application Programming Interfaces (APIs) that can be used by applications and services to directly interact with UDDI data. For example, you can develop services that automatically publish and update their UDDI data, react dynamically to service availability, or automatically discover interface details for other services with which they interact.

UDDI Services is a Microsoft® Windows® .NET Web service that provides UDDI capabilities for use within an enterprise or between business partners. It includes a Web interface with searching, publishing, and coordinating features that are compatible with Microsoft Internet Explorer 4.0 or later and Netscape Navigator 4.5 or later. UDDI Services supports the UDDI version 1.0 and 2.0 APIs, enabling enterprise developers to publish, discover, share, and reuse Web services directly through their development tools and business applications.

  • Before installing UDDI Services, see Checklist: Installing UDDI Services.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.
  • For definitions of UDDI terms, see Glossary.

© 1997-2002 Microsoft Corporation. All rights reserved.


Checklist: Installing UDDI Services

Step | Reference
Review the deployment overview | Deploying UDDI Services
Install UDDI Services | Install UDDI Services
Configure UDDI Services | Post-installation Configuration
Interact with UDDI Services | Interact with UDDI Services


How to...

  • Install UDDI Services
  • Configure UDDI Services
  • Maintain UDDI Services


Install UDDI Services

  • Install UDDI Services
  • Post-installation Configuration

Note

  • UDDI Services can be deployed in either a stand-alone or distributed environment. Before you begin installation, familiarize yourself with the different types of installation configurations available. For more information, see Deploying UDDI Services.


Install UDDI Services

Microsoft Windows Graphic

Select the type of installation you would like to perform

Stand-alone installation

  1. From the computer to which you want to install UDDI Services, open Add or Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components.
  3. In the Windows Components Wizard dialog box, select UDDI Services, and then click Next.
  4. You are prompted to select or create a local database instance for this site. Do one of the following:
    • To use Microsoft SQL Server Desktop Engine (MSDE2000) as the database server for this site, select Create a new MSDE database instance for UDDI Services named "UDDI", and then click Next.
    • To use an existing as the database server for this site, select the name of the instance from the Use the following SQL Server 2000 database instance already installed on this computer drop-down menu, and then click Next.
  5. Select whether or not this site requires Secure Sockets Layer (SSL) encryption.
    • To require SSL-encryption for interaction with this site, select Require SSL (Recommended).
    • To allow non-encrypted interaction with this site, select Do not require SSL.
  6. Select the location where the UDDI Services database files are installed. Do one of the following:
    • To use the default location, click Next.
    • To select a different location for all of the database files, click ... to select the new location, and then click Next.
    • To select different locations for each of the database files, click More, then click ... next each of the database files you want to install to a different location, and then click Next.
  7. Select the security credentials used by this site. Do one of the following:
    • To use the Network Service security credentials, select Network Service, and then click Next
    • To select different security credentials, select Domain account, type the user name and password to be used by this site, and then click Next.
  8. Specify a name for this site. Type the name you want to use to uniquely identify this UDDI Services site from other sites in the UDDI Services snap-in.
  9. Enable or disable self-registration of this UDDI Services site, and then click Next. Self-registration automatically publishes this site's interfaces as services and bindings in this UDDI Services site and attempts a silent-publication into Active Directory® using the current users' credentials. You can later publish or revoke this site's Active Directory publication using the UDDI Services snap-in.
  10. If prompted, insert your Windows Server 2003 family compact disc.

Distributed installations

One SQL server and one Web server

Install the UDDI Services database components onto the database server

  1. From the computer you want to host the UDDI Services database components, open Add or Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components.
  3. In the Windows Components Wizard dialog box, click UDDI Services, and then click Details.
  4. In the UDDI Services dialog box, select UDDI Services Database Components and clear UDDI Services Web server components and UDDI Services Administration Console, click OK, and then click Next.
  5. Select the name of the database instance to which you would like to install the database components from the drop-down menu, and then click Next.
  6. Select whether or not this site requires Secure Sockets Layer (SSL) encryption.
    • To require SSL-encryption for interaction with this site, select Require SSL (Recommended).
    • To allow non-encrypted interaction with this site, select Do not requires SSL.
  7. Select the location where the UDDI Services database files are installed. Do one of the following:
    • To use the default location, click Next.
    • To select a different location for all of the database files, click ... to select the new location, and then click Next.
    • To select different locations for each of the database files, click More, then click ... next each of the database files you want to install to a different location, and then click Next.
  8. Select the security credentials used by this site. Do one of the following:
    • To use the Network Service security credentials, select Network Service, and then click Next
    • To select different security credentials, select Domain account, type the user name and password to be used by this site, and then click Next.
  9. Specify a name for this site. Type the name you want to use to uniquely identify this UDDI Services site from other sites in the UDDI Services snap-in.
  10. Enable or disable self-registration of this UDDI Services site, and then click Next. Self-registration automatically publishes this site's interfaces as services and bindings in this UDDI Services site and attempts a silent-publication into Active Directory® using the current users' credentials. You can later publish or revoke this site's Active Directory publication using the UDDI Services snap-in.
  11. If prompted, insert your Windows Server 2003 family compact disc.

Install the UDDI Services Web server components onto the Web server and connect it to the database component.

  1. From the computer you want to host the UDDI Services Web server components, open Add or Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components.
  3. In the Windows Components Wizard dialog box, click UDDI Services, and then click Details.
  4. In the UDDI Services dialog box, select UDDI Services Web server components and clear UDDI Services Database Components and UDDI Services Administration Console, click OK, and then click Next.
  5. Click Browse and specify the name of the computer that hosts the UDDI Services database components to which you want to connect this UDDI Services Web server. If more than one database instance is hosted on the computer specified, select the instance you want from the drop-down list.
  6. Specify the security credentials for this UDDI Services Web server. Click Browse to locate the user name or type it in the User name field. Type the password for the user name in the Password field, and then click Next.
  7. Enable or disable self-registration of this UDDI Services site, and then click Next. Self-registration automatically publishes this site's interfaces as services and bindings in this UDDI Services site and attempts a silent-publication into Active Directory® using the current users' credentials. You can later publish or revoke this site's Active Directory publication using the UDDI Services snap-in.
  8. If prompted, insert your Windows Server 2003 family compact disc.

A SQL Server virtual server and one Web server

  1. Install the UDDI Services database components to the same instance on each node of the virtual server hosted on a supported member of the Windows Server 2003 family.
  2. Install the UDDI Services Web server components onto a computer running a supported member of the Windows Server 2003 family and then configure it to use the instance on the virtual server to which the UDDI Services database components are installed.

Note

  • Detailed instructions on this process can be found on the UDDI Services Web site at the Microsoft Web site (http://www.microsoft.com/).

One SQL server and a Web farm

  1. Install the UDDI Services database components onto a computer running a supported member of the Windows Server 2003 family and Microsoft SQL Server 2000.
  2. Install the UDDI Services Web server components onto each of the computers in a Windows Server 2003 family Web farm. During installation, configure each to use the same instance to which the UDDI Services database components are installed.

Note

  • Detailed instructions on this process can be found on the UDDI Services Web site at the Microsoft Web site (http://www.microsoft.com/).

A SQL Server vitual server and A Web farm

  1. Install the UDDI Services database components to the same instance on each node of the virtual server hosted on a supported member of the Windows Server 2003 family.
  2. Install the UDDI Services Web server components onto each of the computers in a Windows Server 2003 family Web farm. During installation, configure each to use the same instance on the virtual server to which the UDDI Services database components are installed.

Note

  • Detailed instructions on this process can be found on the UDDI Services Web site at the Microsoft Web site (http://www.microsoft.com/).

Important

  • Windows Server 2003, Standard Edition supports stand-alone installations only. Distributed installation support is available with Windows Server 2003, Enterprise Edition and Windows Server 2003, Datacenter Edition.
  • If you want to use Microsoft SQL Server 2000 to host the UDDI Services database components, you must install it before you install the UDDI Services database components.
  • In a distributed installation, you must install the database components before installing the Web server components.
  • In a distributed installation with more than one Web server, only perform self-registration from one of the Web servers. Repeating self-registration from any of the other Web servers will result in the modification of any previously configured parameters such as the site's UDDI discovery URL and Active Directory® publication. For more information about self-registration and Active Directory publication, see the UDDI Services Web site on the Microsoft Web site (http://www.microsoft.com/).
  • Each computer that is a member of a Web farm must be configured to use the same ValidationKey and DecryptionKey keys in the machine.config file. For more information, see the .NET Framework General Reference description of the machineKey element on the Microsoft Web site.
  • To complete an installation you must perform the post-installation procedures. For more information, see Post-installation Configuration.
  • SSL-encryption requires a server certificate. For more information, see Post-installation Configuration.

Note

  • UDDI Services can be deployed in either a stand-alone or distributed environment. Before you begin installation, familiarize yourself with the different types of installation configurations available. For more information, see Deploying UDDI Services.


Post-installation Configuration

Microsoft Windows Graphic

Important

  • The ASP.NET Web service extension is automatically enabled during installation of the UDDI Services Web server component. If this Web service extension is disabled, the UDDI Services Web server component will cease to function. For more information about enabling Web service extensions, open Internet Information Services (IIS) MMC Help, open Getting Started, click Common Administrative Tasks, and then click How to Enable Web Service Extensions.

For proper functionality of a site, perform the following steps

  1. If you use SSL-encryption with this site, you must obtain an SSL certificate before UDDI Services will function. For more information, open IIS MMC Help, open Server Administration Guide, click Security, click Secure Sockets Layer (SSL), and then click Configuring SSL on Your Server.
  2. Configure the groups of users that will interact with this site. For more information, see Configure Roles and Permissions.
  3. Interact with the site through one or more of the available interfaces. For more information, see Interacting with UDDI Services.


Configure UDDI Services

  • Add a Site to the UDDI Services Snap-in
  • Remove a Site from the UDDI Services Snap-in
  • Move a Web Server from One Site to Another Site
  • Remove a Web Server from a Site
  • Configure Roles and Permissions
  • Configure Authentication, SSL, and Cryptography
  • Configure Web Server Logging
  • Change a Web Server's Database
  • Publish a Site in Active Directory
  • Configure Advanced Settings


Add a site to the UDDI Services Snap-in

Microsoft Windows Graphic

To add a site to the UDDI Services snap-in

  1. Open UDDI Services.
  2. In the console tree, click UDDI Services.
  3. On the Action menu, click Add Site.
  4. Select the computer that hosts the UDDI Services database component that belongs to the site you want to add.
    To | Do this
    Manage a UDDI Services site on the computer on which this console is running | Click Local computer (the one this console is running on).
    Manage a UDDI Services site on a remote computer | Click Another computer, and then type the name or IP address of the remote UDDI Services database server.
  5. Click OK.

Note

  • A UDDI Services site represents a complete installation of UDDI Services. It includes a database server and one or more associated Web servers. Add a site to connect to, and manage it and its associated Web servers.
  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.


Remove a site from the UDDI Services Snap-in

Microsoft Windows Graphic

To remove a site from the UDDI Services snap-in

  1. Open UDDI Services.
  2. In the console tree, select the UDDI Services site you want to remove from the snap-in.

    Where?

    • UDDI Services
    • Site Name
  3. On the Action menu, click Delete.

Note

  • A UDDI Services site represents a complete installation of UDDI Services. It includes a database server and one or more associated Web servers. Add a site to connect to, and manage it and its associated Web servers.
  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.


Move a Web server from one site to another site

Microsoft Windows Graphic

To move a Web server from one site to another site

  1. Open UDDI Services.
  2. In the console tree, select the UDDI Services site to which you want to move the Web server.

    Where?

    • UDDI Services
    • Site Name
  3. On the Action menu, click Add Web Site.
  4. Select the computer that hosts the UDDI Services Web server component you want to move to this site.
    To | Do this
    Manage a UDDI Services Web server on the computer on which this console is running | Click Local computer (the one this console is running on).
    Manage UDDI Services Web server on a remote computer | Click Another computer, and then type the name or IP address of the remote UDDI Services Web server.
  5. Click OK.

Note

  • A UDDI Services Web server represents an instance of the UDDI Services Web component that provides an interface for querying and publishing in a UDDI Services site.
  • You cannot move a Web server to or from a stand-alone site that is hosted on a computer running Windows Server 2003, Standard Edition.
  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.
  • Before you can configure a site or one of its Web servers, you may need to add the site to the UDDI Services snap-in. For more information, see Add a Site to the UDDI Services Snap-in.


Remove a Web server from a site

Microsoft Windows Graphic

To remove a Web server from a site

  1. Open UDDI Services.
  2. In the console tree, select the UDDI Services Web server you want to remove.

    Where?

    • UDDI Services
    • Site Name
    • Web server
  3. On the Action menu, click Delete.
The selected UDDI Services Web server has now been removed from the site. The Web server component has not been disabled nor has the Web server component been uninstalled. To completely remove a UDDI Services component from a computer, see Uninstalling UDDI Services .

Note

  • A UDDI Services Web server represents an instance of the UDDI Services Web component that provides an interface for querying and publishing in a UDDI Services site.
  • You cannot remove a Web server from a stand-alone site that is hosted on a computer running Windows Server 2003, Standard Edition.
  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.
  • Before you can configure a site or one of its Web servers, you may need to add the site to the UDDI Services snap-in. For more information, see Add a Site to the UDDI Services Snap-in.


Configure roles and permissions

Microsoft Windows Graphic

To configure roles and permissions

  1. Open UDDI Services.
  2. In the console tree, click the UDDI Services site you want to configure.

    Where?

    • UDDI Services
    • Site Name
  3. On the Action menu, click Properties and then click OK.
  4. Click the Roles tab.
  5. To change the group used to define user roles for this UDDI Services site, click Select next to the role.

Activity | User | Publisher | Coordinator | Administrator
Search for providers, services, and tModels | X | X | X | X
Publish providers, services, and tModels |  | X | X | X
View server statistics and manage entity ownerships |  |  | X | X
Manage categorization schemes |  |  | X | X
Import data |  |  |  | X
Command line tools |  |  |  | X
Configure Web and database servers, assign groups to roles and configure authentication |  |  |  | X

Note

  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.
  • Before you can configure a site or one of its Web servers, you may need to add the site to the UDDI Services snap-in. For more information, see Add a Site to the UDDI Services Snap-in.


Configure authentication, SSL, and cryptography

Microsoft Windows Graphic

To configure authentication, SSL, and cryptography

  1. Open UDDI Services.
  2. In the console tree, click the UDDI Services site you want to configure.

    Where?

    • UDDI Services
    • Site Name
  3. On the Action menu, click Properties.
  4. Click the Security tab, and select from the following configuration options.
    • Authenticated access. View or change the type of authentication used by this site.
      • Windows Integrated and UDDI Services publisher authentication: This site supports authenticated publications using Windows integrated authentication or UDDI Publisher authentication, as described in section 4 of the UDDI Version 2.0 Programmer's API Specification.
      • UDDI Services publisher authentication: This site supports authenticated publications using UDDI Publisher authentication only, as defined in section 4 of the UDDI Version 2.0 Programmer's API Specification.
      • Windows integrated publisher authentication: This site supports authenticated publications using Windows integrated authentication only.
        • Authentication for read (inquiry) access: If checked, this UDDI Services site mandates the use of Windows integrated authentication for GET requests into this site.
    • Secure Communications. View or change this site's use of Secure Sockets Layer (SSL) encryption for publications.
    • Cryptography. To view or modify the token expiration or cryptography key time-out settings for UDDI-authenticated publications, click Change.

Important

  • If you use SSL-encryption with this site, you must obtain an SSL certificate before UDDI Services will function. For more information, open IIS MMC Help, open Server Administration Guide, click Security, click Secure Sockets Layer (SSL), and then click Configuring SSL on Your Server.

Note

  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.
  • Before you can configure a site or one of its Web servers, you may need to add the site to the UDDI Services snap-in. For more information, see Add a Site to the UDDI Services Snap-in.


Configure Web server logging

Microsoft Windows Graphic

To configure Web server logging

  1. Open UDDI Services.
  2. In the console tree, click the UDDI Services Web server you want to configure.

    Where?

    • UDDI Services
    • Site Name
    • Web Server
  3. On the Action menu, click Properties.
  4. Click the Logging tab and select from the following configuration options:
    • Event Log Settings Move the slider to specify the level of information published to the event log by this UDDI Services Web server component.
    • Log File Settings Move the slider to specify the level of information published to the log file by this UDDI Services Web server component.
Slider setting | Description
None | No information is logged.
Error | Records significant problems, such as loss of data or loss of functionality. For example, if a service fails to load during startup, an error will be logged.
Warning | Records errors and events that are not necessarily significant, but may indicate a possible future problem. For example, when disk space is low, a warning will be logged.
Failure Audit | Records errors, warnings, and security access attempts that fail. For example, if a user tries to access a network drive and fails, the attempt will be logged as a Failure Audit event.
Success Audit | Records errors, warnings, and both failed and successful security attempts. For example, a user's successful attempt to log on the system will be logged as a Success Audit event.
Info | Records errors, warnings, security audits, and events that describe the successful operation of an application, driver, or service. For example, when a network driver loads successfully, an Info event will be logged.
Verbose | Records all successful and failed events.

Note

  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.
  • Before you can configure a site or one of its Web servers, you may need to add the site to the UDDI Services snap-in. For more information, see Add a Site to the UDDI Services Snap-in.


Change a Web server's database

Microsoft Windows Graphic

To change a Web server's database

  1. Open UDDI Services.
  2. In the console tree, select the UDDI Services Web server you want to configure.

    Where?

    • UDDI Services
    • Site Name
    • Web Server
  3. On the Action menu, click Properties.
  4. Click the Database Connection tab.
  5. In Read operations computer , click Change.
  6. Select the computer that hosts the UDDI Services database component that this Web server will use for Read operations.
    To | Do this
    Connect to a UDDI Services site on the computer on which this console is running | Click Local computer (the one this console is running on).
    Connect to a UDDI Services site on a remote computer | Click Another computer, and then type the name or IP address of the remote UDDI Services database server.
  7. In Write operations computer, click Change.
  8. Select the computer that hosts the UDDI Services database component that this Web server will use for write operations.
    To | Do this
    Connect to a UDDI Services site on the computer on which this console is running | Click Local computer (the one this console is running on).
    Connect to a UDDI Services site on a remote computer | Click Another computer, and then type the name or IP address of the remote UDDI Services database server.

Important

  • If you change a Web server's database connection to a database server that is part of a different site, then you change the site to which that Web server belongs.

Note

  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.
  • UDDI Services database components must be installed on a computer before a UDDI Services Web server can be connected to it.
  • You cannot change the database connection on a Web server that is part of a stand-alone site hosted on a computer running Windows Server 2003, Standard Edition.
  • Before you can configure a site or one of its Web servers, you may need to add the site to the UDDI Services snap-in. For more information, see Add a Site to the UDDI Services Snap-in.


Publish a site in Active Directory

Microsoft Windows Graphic

To publish a site in Active Directory

  1. Open UDDI Services.
  2. In the console tree, click the UDDI Services site you want to publish in Active Directory.

    Where?

    • UDDI Services
    • Site Name
  3. On the Action menu, click Properties.
  4. Click OK.
  5. Click the Active Directory tab.
  6. Click Publish.

UDDI Services attempts to publish this site into Active Directory using the current user's credentials.

Note

  • To open UDDI Services, click Start, point to Administrative tools, and then click UDDI Services.
  • Publishing in Active Directory requires user credentials with Active Directory Publish permissions.
  • Before you can configure a site or one of its Web servers, you may need to add the site to the UDDI Services snap-in. For more information, see Add a Site to the UDDI Services Snap-in.
  • Use the runas command to perform administrative tasks with Administrative rights as necessary. You can use this command by typing runas at the command prompt or by right-clicking an .msc file, and then clicking Run As.


Configure advanced settings

Microsoft Windows Graphic

To configure advanced settings

  1. Open UDDI Services.
  2. In the console tree, click the UDDI Services site you want to connect to.

    Where?

    • UDDI Services
    • Site
  3. On the Action menu, click Properties.
  4. Click the Advanced tab.
  5. The following configuration options are available:
    Name | Description
    Operator | The value used to populate the Operator attribute in SOAP API responses that include an operator attribute.
    Find.MaxRowsDefault | The maximum number of rows returned on SOAP API find requests.
    DefaultDiscoveryURL | The prefix used for the default discovery URL attached to providers published in this site.

Note

  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.
  • A UDDI Services Web server represents an instance of the UDDI Services Web component that provides an interface for querying and publishing in a UDDI Services site.
  • Before you can configure a site or one of its Web servers, you may need to add the site to the UDDI Services snap-in. For more information, see Add a Site to the UDDI Services Snap-in.


Maintain UDDI Services

  • Start or Stop a UDDI Services Server
  • Back Up a UDDI Services Database
  • Restore a UDDI Services Database
  • Managing UDDI Services from the Command-line
  • Performance Monitoring


Start or stop a Web server

Microsoft Windows Graphic

To start or stop a Web server

  1. Open UDDI Services.
  2. In the console tree, click the UDDI Services Web server you want to start or stop.

    Where?

    • UDDI Services
    • Site Name
    • Web Server
  3. Do one of the following:
    • To stop a server, on the Action menu, click Stop.
    • To start a server, on the Action menu, click Start.

Note

  • To open UDDI Services, click Start, point to Administrative Tools, and then click UDDI Services.
  • Before you can configure a site or one of its Web servers, you may need to add the site to the UDDI Services snap-in. For more information, see Add a Site to the UDDI Services Snap-in.


Back up a UDDI Services database

Microsoft Windows Graphic

To back up a UDDI Services database

Important

  • Before proceeding to back up any data, it is highly recommended that you stop all UDDI Services Web servers that are connected to the database instance of which you are creating a backup. For more information, see Start or Stop a Web Server.
  • This tool must be run by a user with Administrative credentials.
  1. From the computer hosting the UDDI Services database you want to back up, open Command Prompt.
  2. At the command prompt, type:

    CD UDDI_Services_Installation_Directory\Data

    The default UDDI Services installation directory is:

    systemroot\Inetpub\UDDI\

  3. Type:

    uddi.database.backup.cmd [Database_Instance_Name]

    Value | Description
    Database_Instance_Name | The name of the local MSDE2000 or SQL Server database instance where the UDDI Services database component is installed. If none is specified, the default database instance is used.
    For example, to back up a UDDI Services database hosted in a database instance named UDDI, type:

    uddi.database.backup.cmd UDDI

A backup of your data is placed in UDDI_Services_Installation_Directory\Data\UDDI.Database.Bak. Copy this file to another location or back it up for safekeeping.

Note

  • Backups created using this tool contain physical paths and file names for UDDI data files that are specific to the current installation. For this reason, you cannot use this tool to migrate data from one UDDI Services installation to another.
  • Use the runas command to perform administrative tasks with Administrative credentials as necessary. You can use this command by typing runas at the command prompt.


Restore a UDDI Services database

Microsoft Windows Graphic

To restore a UDDI Services database

Important

  • Before restoring any data, it is highly recommended that you stop all UDDI Services Web servers that are connected to the database server to which you are restoring data. For more information, see Start or Stop a Web Server.
  • To perform this procedure, you must have administrative credentials.
  • When you restore a UDDI Services database, all existing data is destroyed.
  • If any of the paths referenced in the UDDI.Database.bak file do not exist on the local computer, the restore operation will fail with a device activation error.
  1. From the computer hosting the UDDI Services database you want to restore, open Command Prompt.
  2. At the command prompt, type:

    CD UDDI_Services_Installation_Directory\Data

    The default UDDI Services installation directory is:

    systemroot\Inetpub\UDDI\

  3. If you have not already done so, copy the database backup file (UDDI.Database.bak) that you want to restore into this directory.
  4. Type:

    UDDI.database.restore.cmd [Database_Instance_Name]

    Value | Description
    Database_Instance_Name | The name of the local MSDE2000 or SQL Server database instance where the UDDI Services database component is installed. If none is specified, the default database instance is used.
    For example, to restore to a database instance named UDDI, type:

    uddi.database.restore.cmd UDDI

The backup data replaces the existing data in this database instance.

Note

  • You can only restore data from backups made from the same installation of UDDI Services. You cannot use this tool to migrate data from one installation to another.
  • Use the runas command to perform administrative tasks with Administrative credentials as necessary. You can use this command by typing runas at the command prompt.


Managing UDDI Services from the Command Line

Microsoft Windows Graphic

Managing UDDI Services from the Command-Line

You can invoke many UDDI Services administrative utilities from the command line. For example, you can import categorization schemes or other XML data, backup or restore a UDDI Services database, or reset the cryptography key used to generate UDDI authentication tickets. The following table lists the UDDI Services administrative utilities.

Command | Function
bootstrap | Imports XML data into a UDDI Services site.
resetkey | Resets the cryptography key used to generate UDDI authentication tickets.
recalcstats | Recalculates statistics for a UDDI Services site.
uddi.database.backup.cmd | Creates a backup of a local UDDI Services database.
uddi.database.restore.cmd | Restores a database backup to a local UDDI Services database.

bootstrap

Imports XML data into a UDDI Services site. Any information you import must first be validated against the appropriate XML schema definition (XSD). For more information about importing data and obtaining the appropriate XSDs for validation, see UDDI Resources.

Syntax

bootstrap /f [drive:][path]filename [/u [user]]

Parameters

/f [drive:][path]filename
Specifies the drive (optional), directory (optional), and file to import.
[/u [user]]
The user name (publisher) under which the data is imported and owned by. If none is specified, defaults to System.
/?
Displays help at the command prompt.

Remarks

  • By default, this command is installed to %systemdrive%\Inetpub\Uddi\Bin.
  • This command is available only if the UDDI Services Database Components are installed.
  • This command must be run from the computer hosting the UDDI Services database component for the site to which you want to import XML data.
  • Only administrators can use the bootstrap command.

Examples

To import an XML file named mydata.xml under the System user, type:

bootstrap /f mydata.xml

To import an XML file named mydata.xml under a user named John, type:

bootstrap /f mydata.xml /u John

To import an XML file located in C:\Data named mydata.xml under a user named John, type:

bootstrap /f C:\Data\mydata.xml /u John

Back to top

resetkey

Resets the cryptography key used to generate UDDI authentication tickets.

Syntax

resetkey [/now]

Parameters

[/now]
Forces an immediate reset of the cryptography key.
/?
Displays help at the command prompt.

Remarks

  • By default, this command is installed to %systemdrive% \Inetpub\Uddi\Bin.
  • This command is available only if the UDDI Services Database Components are installed.
  • Only administrators can use the resetkey command.

Examples

To view the current cryptography key timeout settings, type:

resetkey

To immediately reset the cryptography key, type:

resetkey /now

Back to top

recalcstats

Recalculates statistics for a UDDI Services site.

Syntax

recalcstats

Parameters

/?
Displays help at the command prompt.

Remarks

  • By default, this command is installed to %systemdrive% \Inetpub\Uddi\Bin.
  • This command is available only if the UDDI Services Database Components are installed.
  • This command must be run from the computer hosting the UDDI Services database component for the site you want to recalculate statistics.
  • Only administrators can use the recalcstatscommand.

Back to top

uddi.database.backup.cmd

Creates a backup of a local UDDI Services database to a file (Uddi.Database.bak).

Syntax

uddi.database.backup.cmd [Database Instance Name]

Parameters

[Database Instance Name]
The name of the local MSDE2000 or Microsoft SQL Server database instance where the UDDI Services database component is installed. If none is specified, the default database instance is used.
/?
Displays help at the command prompt.

Remarks

  • By default, this command is installed to %systemdrive% \Inetpub\Uddi\Bin.
  • This command is available only if the UDDI Services Database Components are installed.
  • This command must be run from the computer hosting the UDDI Services database component of which you want to create a backup.
  • Only administrators can use the uddi.database.backup.cmd command.
  • Data is backed up to Inetpub\Uddi\Data\Uddi.Database.bak
  • Backups created using this tool contain physical paths and file names for UDDI data files specific to the current installation. For this reason, you cannot use this tool to migrate data from one UDDI Services site to another.

Examples

To back up a UDDI Services database hosted in the default database instance, type:

uddi.database.backup.cmd

To back up a UDDI Services database hosted in a database instance named "UDDI", type:

uddi.database.backup.cmd UDDI

Back to top

uddi.database.restore.cmd

Restores a UDDI Services database backup created with the uddi.database.restore.cmd command.

Syntax

uddi.database.restore.cmd [Database Instance Name]

Parameters

[Database Instance Name]
The name of the local MSDE2000 or Microsoft SQL Server database instance where the UDDI Services database component is installed and to which you want to restore the backup. If none is specified, the default database instance is used.
/?
Displays help at the command prompt.

Remarks

  • By default, this command is installed to %systemdrive% \Inetpub\Uddi\Bin.
  • This command is available only if the UDDI Services Database Components are installed.
  • This command must be run from the computer hosting the UDDI Services database component to which you want to restore the data and from the same directory where the database backup file (Uddi.Database.bak) is located.
  • Only administrators can use the uddi.database.restore.cmd command.
  • Backups created using the uddi.database.backup.cmd tool contain physical paths and file names for UDDI data files specific to the current installation. For this reason, you cannot use this tool to migrate data from one UDDI Services site to another.

Examples

To restore a UDDI Services database hosted in the default database instance, type:

uddi.database.backup.cmd

To restore a UDDI Services database hosted in a database instance named "UDDI", type:

uddi.database.restore.cmd UDDI

Back to top

Formatting legend

Format | Meaning
Italic | Information that the user must supply
Bold | Elements that the user must type exactly as shown
Ellipsis (...) | Parameter that can be repeated several times in a command line
Between brackets ([]) | Optional items
Between braces ({}); choices separated by pipe (|). Example: {even|odd} | Set of choices from which the user must choose only one
Courier font | Code or program output


Performance Monitoring

You can use the performance-monitoring capability built into the Windows Server 2003 family to monitor UDDI Services. For information about using System Monitor, see Analyzing performance data in Performance Logs and Alerts Help.

UDDI Services-related performance counters

The following performance counters relate to inquire API messages to a UDDI Services site:

Counter name | Explanation
find_binding | The number of times the find_binding API message was executed since the service was started.
find_business | The number of times the find_business API message was executed since the service was started.
find_binding | The number of times the find_binding API message was executed since the service was started.
find_service | The number of times the find_service API message was executed since the service was started.
get_binding_detail | The number of times the get_binding_detail API message was executed since the service was started.
get_business_detail | The number of times the get_business_detail API message was executed since the service was started.
get_business_detail_ext | The number of times the get_business_detail_ext API message was executed since the service was started.
get_service_detail | The number of times the get_service_detail API message was executed since the service was started.
get_tmodel_detail | The number of times the get_tmodel_detail API message was executed since the service was started.

The following performance counters relate to publish API messages to a UDDI Services site:

Counter name | Explanation
add_publisherAssertions | The number of times the add_publisherAssertions API message was executed since the service was started.
delete_binding | The number of times the delete_binding API message was executed since the service was started.
delete_business | The number of times the delete_business API message was executed since the service was started.
delete_publisherAssertions | The number of times the delete_publisherAssertions API message was executed since the service was started.
delete_service | The number of times the delete_service API message was executed since the service was started.
delete_tmodel | The number of times the delete_tmodel API message was executed since the service was started.
discard_authtoken | The number of times the discard_authtoken API message was executed since the service was started.
get_publisherAssertions | The number of times the get_publisherAssertions API message was executed since the service was started.
get_authtoken | The number of times the get_authtoken API message was executed since the service was started.
get_publisherAssertions | The number of times the get_publisherAssertions API message was executed since the service was started.
get_registeredInfo | The number of times the get_registeredInfo API message was executed since the service was started.
save_binding | The number of times the save_binding API message was executed since the service was started.
save_business | The number of times the save_business API message was executed since the service was started.
save_service | The number of times the save_service API message was executed since the service was started.
save_tmodel | The number of times the save_tmodel API message was executed since the service was started.
set_publisherAssertions | The number of times the set_publisherAssertions API message was executed since the service was started.
validate_categorization | The number of times the validate_categorization API message was executed since the service was started.
validate_values | The number of times the validate_values API message was executed since the service was started.

The following performance counters relate to replication and extension API messages to a UDDI Services site:

Counter name | Explanation
get_changeRecords | The number of times the get_changeRecords API message was executed since the service was started.
notify_changeRecordsAvailable | The number of times the notify_changeRecordsAvailable API message was executed since the service was started.
do_ping | The number of times the do_ping API message was executed since the service was started.
get_highWaterMarks | The number of times the get_highWaterMarks API message was executed since the service was started.
get_relatedCategories | The number of times the get_relatedCategories API message was executed since the service was started.


Uninstall UDDI Services

Microsoft Windows Graphic

To uninstall UDDI Services

  1. From the computer you want to uninstall UDDI Services, open Add or Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components.
  3. In Components, clear the UDDI Services check box, click Next, and then click Finish.
  4. If you selected to create an MSDE2000 database instance for this installation of UDDI Services and would like to remove that database from this system, in Currently installed programs, select Microsoft SQL Server Desktop Engine (UDDI), and then click Remove.
  5. In Add or Remove Programs, click Yes.
Repeat this procedure on any other systems from which you would like to uninstall UDDI Services.


Concepts

  • UDDI Services Overview
  • Deploying UDDI Services
  • Interact with UDDI Services
  • Resources
  • Snap-in Overview


UDDI Services overview

What is UDDI?

Universal Description, Discovery and Integration (UDDI) is an industry specification for publishing and locating information about Web services. It defines an information framework that enables you to describe and classify your organization, its services, and the technical details about the interfaces of the Web services you expose. The framework also enables you to consistently discover services, or interfaces of a particular type, classification, or function. UDDI also defines a set of Application Programming Interfaces (APIs) that can be used by applications and services to directly interact with UDDI data. For example, you can develop services that automatically publish and update their UDDI data, react dynamically to service availability, or automatically discover interface details for other services with which they interact.

The UDDI.org consortium of companies established the UDDI Business Registry (UBR) where companies and organizations can share and discover Web services. This public registry is maintained and replicated by its managing body, the UBR Operator Council, and should not be confused with UDDI Services, which is deployed and maintained by your enterprise or organization.

Understanding UDDI Services entities and organization

UDDI Services provides UDDI capabilities for use within an enterprise or between business partners. It includes a Web interface with searching, publishing, and coordination features that are compatible with Microsoft Internet Explorer 4.0 or later and Netscape Navigator 4.5 or later. UDDI Services supports the UDDI version 1.0 and 2.0 APIs, enabling enterprise developers to publish, discover, share, and interact with Web services directly through their development tools and business applications.

Organizations and the products and services they provide are represented by the following entities in UDDI Services:

provider Provider
tree
tree contact Contact
tree
tree service Service
blank space tree
blank space tree binding Binding
blank space blank space tree
blank space blank space tree instance info Instance Info

tModel tModel

The following definitions describe each entity and its role in relation to other entities:

provider Provider A party—any business, or physical or conceptual group—that offers one or more XML Web services. For example, a business, business unit, organization, organizational department, person, computer, or an application can be a provider in UDDI Services. In the UDDI Services data structure, a provider represents the "parent" entity under which all contact, service, and interface information is stored and organized.

contact Contact A human or computer resource that can be contacted for information about a provider or the XML Web services it offers. A provider may have as many contacts as is necessary to identify each of its available contact points.

service Service An entity in UDDI Services that describes and provides access to a function that you would like to share with other UDDI Services users. Services can perform any function across a network, from simple requests to complicated business processes. A stock ticker feed and an online procurement system are each examples of functions that can be published as a service. Services may have one or more bindings.

binding Binding The point where a specific implementation of a service can be accessed, such as the URL where an interface can be found. Bindings may also include one or more instance info structures.

instance info Instance Info A reference to a tModel that contains relevant technical information about a binding, such as an interface specification document or Web Services Description Language (WSDL) file.

tModel tModel tModels are typically used to provide technical information about an interface, such as a Web Service Description Language (WSDL) file, that describes the conventions that are supported by an interface. tModels are also used to represent an organized unit of descriptive data, such as an identification or categorization scheme. How tModels are used in your implementation may vary, depending on your organization's Web services publishing data model.

Each entity is defined by one or more of the following attributes:

  • Categorization Scheme A collection of categories and subcategories used to describe and locate providers, services, and tModels. A categorization scheme may contain public classifications, such as the North American Industry Classification System (NAICS). It may also contain company-defined categorizations. For example, useful categorization schemes might be constructed around geographical locations, industry segments, or a company's organizational structure. Categorization provides a consistent means by which users can search for providers and services or locate interfaces of a particular type, location, or other attribute.
  • Overview Document URL An address of a Hypertext Transfer Protocol (HTTP)-accessible resource that hosts data or information you would like to associate with an entity. For example, a tModel overview document might provide the URL to an interface definition or Web Service Description Language (WSDL) file that provides technical information that is required to invoke a service through an interface. For an instance info, an overview document might provide additional technical information that is only applicable to a specific implementation of an interface.
  • Discovery URL An HTTP-accessible resource that typically responds to an HTTP-GET request with technical information describing a provider. When a provider is created, UDDI Services automatically creates a discovery URL pointing to that provider's businessEntity within that installation of UDDI Services.
  • Identifier An organization-wide identification scheme used to logically group providers and tModels by a common form of identification, such as a cost code or D-U-N-S® Number. Identifiers are optional descriptions and are intended to enhance the discovery of providers and tModels in search operations.
  • Relationships The identity, parent-child or peer-peer relationships between providers. Relationships are useful, for example, when describing an organizational structure or advertising business partnerships.
  • Instance Parameters The settings or parameters that are supported by an instance of a binding. An instance parameter may be either a list of settings and parameters or the URL of a file that contains a list of supported settings and parameters.

UDDI Services Roles

UDDI Services contains four roles that define the level of interaction that each user is allowed.

  • User An individual who can only query UDDI Services for Web service information. Any partner or organization with whom you would like to share your Web services data must be part of, at minimum, the User group. By default, the User group uses the local computer group BUILTIN\Users.
  • Publisher An individual who can query and publish in UDDI Services. A Publisher can add entities to UDDI Services or modify any of the entities that they own. By default, the Publisher group uses the local computer group BUILTIN\Administrators.
  • Coordinator An individual who can query, publish, and configure data in the UDDI Services Web-based user interface. In addition to Publisher user rights, a Coordinator can view and modify any data stored in UDDI Services , change entity ownerships, import categorization schemes, and generate and view statistical reports. By default, the Coordinator group uses the local computer group BUILTIN\Administrators.
  • Administrator An individual who can query, publish, coordinate, and administer UDDI Services. In addition to Coordinator user rights for the Web-based user interface, an Administrator can administer service options, manage security settings, perform backups, and carry out other administrative tasks at the system level by using the UDDI Services Web user interface and Microsoft Management Console (MMC) snap-in and command line tools. By default, the Administrator group uses the local computer group BUILTIN\Administrators.

The user name and role are displayed in the upper-right corner of the UDDI Services Web interface.

What’s Next

Now that you have reviewed entities, roles, and relationships in UDDI Services, you are ready to deploy, configure, and use UDDI Services in your organization.


Deploying UDDI Services

To deploy a UDDI Services site, you install UDDI Services components onto one or more computers, each running a supported member of the Windows Server 2003 family, and then define the groups of individuals that can access the site. A UDDI Services site requires a complete installation of all UDDI Services components, including at least one Web server component that is connected to a database component.

UDDI Services can be installed on any of following operating systems:

  • Windows Server 2003, Standard Edition. Supports a stand-alone installation of UDDI Services only.
  • Windows Server 2003, Enterprise Edition. Supports stand-alone and distributed installations of UDDI Services.
  • Windows Server 2003, Datacenter Edition. Supports stand-alone and distributed installations of UDDI Services.

UDDI Services Components

  • Database components. Provides database services for a UDDI Services site. Installs to a computer running a supported member of the Windows Server 2003 family and Microsoft SQL Server 2000 or Microsoft SQL Server Desktop Engine (MSDE2000). MSDE2000, included with the Windows Server 2003 family, is a Microsoft SQL Server 2000-compatible local database storage mechanism that is designed and optimized for use on smaller computer systems. MSDE2000 does not include administrative tools, and it cannot communicate across a network. For this reason, MSDE2000 can be used only in stand-alone installations of UDDI Services.
  • Web Server components. Provides support for the UDDI version 1.0 and 2.0 APIs and includes a Web user interface with searching, publishing, and coordinating features that are compatible with Microsoft Internet Explorer 4.0 or later and Netscape Navigator 4.5 or later. It installs to a computer running a supported member of the Windows Server 2003 family and uses Microsoft Internet Information Services (IIS) 6.0.
  • Administration Console. An MMC snap-in and set of command-line tools that are used to administer local or remote UDDI Services sites and facilitate database backups. It installs on a computer running a supported member of the Windows Server 2003 family.

Installation Options

UDDI Services is designed around a scalable architecture that allows you to deploy a UDDI Services site in a stand-alone or distributed environment. A stand-alone installation is useful for developer prototyping or other low-volume scenarios that involve a limited number of simultaneous users. A distributed installation is recommended for enterprise-wide implementations or other high-volume scenarios where access times, availability, and reliability are of greater importance.

Stand-alone installation

In a stand-alone installation of UDDI Services, both the Web server and database components are installed onto a single computer running a member of the Windows Server 2003 family. The database components are installed into Microsoft SQL Server 2000 or a local MSDE2000 database instance, and the Web server components are connected to that instance. If you want to use SQL Server 2000 to host the database components, you must install it prior to beginning installation of UDDI Services. This is the only type of installation available in Windows Server 2003, Standard Edition.

Distributed installation

A distributed installation of UDDI Services, available only with Windows Server 2003, Datacenter Edition and Windows Server 2003, Enterprise Edition, provides the most fault-tolerant and responsive configuration available because it places each of the UDDI Services components onto separate servers, a server cluster, or a Web farm. How you decide to distribute UDDI Services components depends on how you choose to load balance your installation.

Common distributed site configurations

One SQL Server and one Web server

The UDDI Services database components are installed onto a computer running a supported member of the Windows Server 2003 family and Microsoft SQL Server 2000. The UDDI Services Web server components are installed onto another computer running a supported member of the Windows Server 2003 family and then configured to use the instance to which the UDDI Services database components are installed.

A SQL Server virtual server and one Web server

The UDDI Services database components are installed to the same instance on each node of the SQL Server 2000 virtual server hosted on a supported member of the Windows Server 2003 family. The UDDI Services Web server components are installed onto another computer running a supported member of the Windows Server 2003 family and then configured to use the instance on the virtual server to which the UDDI Services database components are installed.

One SQL Server and a Web farm

The UDDI Services database components are installed onto a computer running a supported member of the Windows Server 2003 family and SQL Server 2000. The UDDI Services Web server components are installed onto each of the computers in a Windows Server 2003 family Web farm. During installation, each Web server is configured to use the instance to which the UDDI Services database components are installed.

A SQL Server virtual server and a Web farm

The UDDI Services database component are installed to the same instance on each node of the SQL Server 2000 virtual server hosted on a supported member of the Windows Server 2003 family. The UDDI Services Web server components are installed onto each of the computers in a Windows Server 2003 family Web farm. During installation, each Web server is configured to use the instance on the virtual server to which the UDDI Services database components are installed.

Roles and Permissions

After you install UDDI Services, configure the groups that define the UDDI Services roles. By default, the UDDI Services Publisher, Coordinator, and Administrator groups use the Builtin\Administrators group and the UDDI Services User's group uses the Built-in\Users group in your network.
Activity | User | Publisher | Coordinator | Administrator
Search for providers, services, and tModels | X | X | X | X
Publish providers, services, and tModels |  | X | X | X
View server statistics and manage entity ownerships |  |  | X | X
Manage categorization schemes |  |  | X | X
Import data |  |  |  | X
Command-line tools |  |  |  | X
Configure Web and database servers, assign groups to roles and configure authentication |  |  |  | X


Interact with UDDI Services

You can interact with a UDDI Services site through one or more of the following interfaces:

UDDI Services Web User Interface: Provides searching, publishing, and coordination features that are compatible with Microsoft Internet Explorer 4.0 or later and Netscape Navigator 4.5, or later.

    • Integrated Windows Authentication: https://<servername>/uddi/ or http://<servername>/uddi/
    • Unauthenticated interface with read (inquiry) access only: https://<servername>/uddipublic/ or http://<servername>/uddipublic/

Visual Studio .NET Add Web Reference Interface: Provides Web service discovery and integration in Visual Studio .NET through UDDI Services.

    • Integrated Windows Authentication: https://<servername>/uddi/addwebreference/ or http://<servername>/uddi/addwebreference/
    • Unauthenticated interface: https://<servername>/uddipublic/addwebreference/ or http://<servername>/uddipublic/addwebreference/

UDDI API Interface: Supports the UDDI version 1.0 and 2.0 APIs, enabling enterprise developers to publish, discover, share, and interact with Web services directly through their development tools and business applications.

    Publish

      • Integrated Windows Authentication for publish API messages: https://<servername>/uddi/publish.asmx or http://<servername>/uddi/publish.asmx
      • UDDI Specification-based Authentication for publish API messages: https://<servername>/uddipublic/publish.asmx or http://<servername>/uddipublic/publish.asmx
    Inquire
      • Integrated Windows Authentication for inquire API messages: https://<servername>/uddi/inquire.asmx or http://<servername>/uddi/inquire.asmx
      • UDDI Specification-based Authentication for inquire API messages: https://<servername>/uddipublic/inquire.asmx or http://<servername>/uddipublic/inquire.asmx

Note

  • The URL to an SSL-encrypted site begins with "https://", and the URL to a non-SSL-encrypted site begins with "http://". SSL-encrypted interfaces are only available on those sites that have been configured to use SSL-encryption. For more information, see Post-installation Configuration.


Resources

For more information about UDDI and UDDI Services, see the following resources:

  • For additional planning, installation, configuration, troubleshooting, and development information, see the UDDI Services Web site on the Microsoft Web site (http://www.microsoft.com/).
  • For further information about UDDI, see the UDDI Web site at www.uddi.org


Snap-in Overview

The UDDI Services snap-in allows you to connect to and manage local or remote UDDI Services sites. A site represents a complete installation of UDDI Services and is comprised of a database component and one or more Web server components attached to that database component. The UDDI Services database component can be either a stand-alone installation of Microsoft SQL Desktop Engine (MSDE2000) or a SQL Server 2000 server or SQL Server 2000 virtual server. The UDDI Services Web server components provide an interface for querying and publishing within a UDDI Services site.

  • UDDI Services Site Overview
  • UDDI Services Web Server Overview

Note

  • The names of any locally installed components are displayed automatically.
  • To connect to another site, from the Actions pull-down menu, select Add Site.


UDDI Services Site Overview

A UDDI Services site represents a complete installation of UDDI Services. It includes a database server and one or more associated Web servers. You can adjust a site's settings or connect to and manage any of its associated Web servers.

  • General Tab Overview
  • Roles Tab Overview
  • Security Tab Overview
  • Active Directory Tab Overview
  • Advanced Tab Overview
  • Cryptography Settings Overview

Note

  • To modify a site's settings, select the site and, on the Action menu, click Properties.


Site - General Tab Overview

Use the General tab to view information about this UDDI Services site.

Site Key

The unique key associated with this site used during programmatic queries.

Version

The version number of this installation.

Language

The default language code of this installation.

Site Description

A description of this site.

Date

The date this site was installed.

Location

The path where this site was installed.

.NET Framework Version

The version number of the .NET Framework installed on this server.

Components

A list of the UDDI Services components installed on this system.

  • UDDI Administration Component: This server hosts a UDDI Services MMC snap-in and administrative command-line tools.
  • UDDI Database Component: The server hosts a UDDI Services database component.
  • UDDI Web Server Component: This server hosts a UDDI Services Web server component.


Roles Tab Overview

Use the Roles tab to view or modify the groups used by this site to define user permissions.

Administrators' Group Name

The name of the user group that your organization uses to define those users with administrator privileges over this UDDI Services site. An administrator is any individual who can query, publish, administer, and configure UDDI Services. In addition to Coordinator privileges for the Web-based user interface, an Administrator can configure service options, manage security settings, facilitate backups, and perform other administrative tasks at the system level using the UDDI Services snap-in.

Coordinators' Group Name

The name of the user group that your organization uses to define those users with coordinator privileges over this UDDI Services site. A coordinator is any individual who can query, publish, and administer data in the UDDI Services Web-based user interface. In addition to Publisher privileges, a Coordinator can view and modify any data stored in UDDI Services, change entity ownerships, and view or refresh statistical reports.

Publishers' Group Name

The name of the user group that your organization uses to define those users with publishing privileges in this UDDI Services site. A publisher is any individual who can query and publish in UDDI Services. A Publisher can add entities to UDDI Services or modify any of the entities that they own.

Users' Group Name

The name of the user group that your organization uses to define those users with search privileges in this UDDI Services site. A user is any individual who can only query UDDI Services for Web service information. Any partner or organization with whom you would like to share your Web services data must be granted, at minimum, User privileges.


Security Tab Overview

Use the Security tab to view or modify the authentication, encryption, and cryptography settings for this UDDI Services site.

Authenticated Access

View or modify the type of authentication used by this UDDI Services site.

  • Windows Integrated and UDDI Services publisher authentication: This site supports authenticated publications using Windows integrated authentication or UDDI Publisher authentication, as described in section 4 of the UDDI Version 2.0 Programmer's API Specification.
  • UDDI Services publisher authentication: This site supports authenticated publications using UDDI Publisher authentication only, as defined in section 4 of the UDDI Version 2.0 Programmer's API Specification.
  • Windows integrated publisher authentication: This site supports authenticated publications using Windows integrated authentication only.
    • Authentication for read (inquiry) access: If checked, this UDDI Services site mandates the use of Windows integrated authentication for GET requests into this site.

Secure Communications

Enable or disable SSL-encryption for communication with this UDDI Services site.

Cryptography

Click Change to view or adjust the SOAP authentication token expiration and cryptography key time out settings used for UDDI Publisher authenticated publications, as defined in section 4 of the UDDI Version 2.0 Programmer's API Specification.

Important

  • If you selected to use SSL-encryption for this site, you must obtain an SSL authentication certificate or UDDI Services will not function. For more information, see Post-installation Configuration.


Active Directory Tab Overview

Use the Active Directory tab to manage this site's publication into Active Directory.

Publish

Click Publish to publish this UDDI Services site in Active Directory using the current user's credentials.

Remove

Click Remove to remove this UDDI Services site's Active Directory publication using the current user's credentials.

Note

  • Use the runas command to perform administrative tasks with Administrative rights as necessary. You can use this command by typing runas at the command prompt or by right-clicking an .msc file, and then clicking Run as.


Advanced Tab Overview

Use the Advanced tab to view or modify the advanced configuration options available for this site.

Name | Description
Operator | The value used to populate the Operator attribute in SOAP API responses that include an operator attribute.
Find.MaxRowsDefault | The maximum number of rows returned on SOAP API find requests.
DefaultDiscoveryURL | The prefix used for the default discovery URL attached to providers published in this site.


Cryptography Settings Overview

Use Cryptography to view or modify the SOAP Authentication token expiration and cryptography key time out settings for this UDDI Services site.

SOAP Authentication Token Expiration

Specifies the amount of time, in minutes, that the SOAP authentication token expires for UDDI Publisher authenticated publications. SOAP authentication tokens are used to communicate publisher credentials during UDDI Publisher authenticated publications.

Cryptography Key Timeout

The creation date of the cryptography key used to generate SOAP authentication tokens, and the amount of time, in days, that the key is automatically reset.
  • To reset the cryptography key used to encrypt SOAP authentication tokens now, click Reset Now.
  • To automatically reset the cryptography key after a certain number of days, select the Automatically reset cryptography key box and then specify the number of days in the field provided.


UDDI Services Web Server Overview

A UDDI Services Web server provides an interface for querying and publishing a UDDI Services site.

  • Web Server - General Tab Overview
  • Logging Tab Overview
  • Database Connection Tab Overview

Note

  • To modify a Web server's settings, select the Web server and, on the Action menu, click Properties.


Web Server - General Tab Overview

Use the General tab to view information about this UDDI Services Web component.

The name of the site of which this Web server component is a member is followed by:

Version

The version number of this installation.

Language

The default language code of this installation.

Date

The date this Web server component was installed.

Location

The path where this Web server component was installed.

.NET Framework Version

The version number of the .NET Framework installed on this server.

Components

A list of the UDDI Services components installed on this system.

  • UDDI Administration Component: This server hosts a UDDI Services MMC snap-in and administrative command-line tools.
  • UDDI Database Component: The server hosts a UDDI Services database component.
  • UDDI Web Server Component: This server hosts a UDDI Services Web server component.


Logging Tab Overview

Use the Logging tab to view or modify the logging settings for this UDDI Services Web server component.

Event Log Settings

The slider defines the level of information published to the event log by this UDDI Services Web server component.

Log File Settings

The slider defines the level of information published to the log file by this UDDI Services Web server component.

Slider setting | Description
None | No information is logged.
Error | Records significant problems, such as loss of data or loss of functionality. For example, if a service fails to load during startup, an error will be logged.
Warning | Records errors and events that are not necessarily significant, but may indicate a possible future problem. For example, when disk space is low, a warning will be logged.
Failure Audit | Records errors, warnings, and security access attempts that fail. For example, if a user tries to access a network drive and fails, the attempt will be logged as a failure audit event.
Success Audit | Records errors, warnings, and both failed and successful security attempts. For example, a user's successful attempt to log on the system will be logged as a success audit event.
Info | Records errors, warnings, security audits, and events that describe the successful operation of an application, driver, or service. For example, when a network driver loads successfully, an info event will be logged.
Verbose | Records all successful and failed events.


Database Connection Tab Overview

Use the Database Connection tab to view or modify the database used by this UDDI Services Web server component for publishing and querying.

Read operations computer

The name of the server used for read (query) operations, followed by the name of the MSDE2000 or SQL Server database instance. To select a different server or database instance for read operations, click Change.

Write operations computer

The name of the server used for write (publish) operations, followed by the name of the MSDE2000 or SQL Server database instance. To select a different server or database instance for write operations, click Change.

Note

  • You cannot change the database connection on a Web server that is part of a stand-alone site hosted on a computer running Windows Server 2003, Standard Edition.


Select Computer Overview

Use Select Computer to select the computer that hosts the component you want to connect to.

    To | Do this
Manage a UDDI Services component on the computer on which this console is running | Click Local computer (the one this console is running on).
Manage a UDDI Services component on a remote computer | Click Another computer, and then type the name or IP address of the remote computer hosting the UDDI Services component.


Edit Property Overview

Use the Edit Property dialog box to modify the value assigned to UDDI Services settings.

Name

Tha name of the current setting.

Value

The value assigned to the current setting.


Troubleshooting

What problem are you having?

During installation a message appears "UDDI Services is not compatible with IIS 5.0 isolation mode. The UDDI Services Web server component will not be installed."

Cause: Internet Information Services (IIS) is operating in IIS 5.0 isolation mode - possibly due to an upgrade installation over a previous version of Windows.

Solution: Configure ISS to operate in worker process isolation mode and repeat installation.

See also: IIS Isolation Modes in IIS Help.

My Web browser fails to connect to a UDDI Services site with "Cannot find server or DNS error" message.

Cause: SSL-encryption has been enabled for this site, but an SSL certificate has not been installed.

Solution: Obtain an SSL certificate or disable SSL for this site.

See also: Configure Authentication, SSL, and Cryptography.

My Web browser fails to connect to a UDDI Services site with "The page cannot be found" or "HTTP 404 - File not found" message.

Cause: The ASP.NET request handler has been disabled.

Solution: Enable the ASP.NET request handler.

See also: How to Enable Web Service Extensions in IIS Help.

My Web browser fails to connect to a UDDI Services site with "The application cannot be started" message.

Cause: A computer hosting a UDDI Services Web server component for this site has been promoted to a domain controller.

Solution: Do not host the UDDI Services Web component on a computer that is also a domain controller or reconfigure IIS to function properly on the domain controller computer.

See also: The Microsoft Knowledge Base article discussing this issue on the Microsoft Support Web site (http://support.microsoft.com/).

Known Issues

The following issues are known to exist in this version of UDDI Services:

  • UDDI Services requires Internet Information Services (IIS) to be running in worker process isolation mode; switching to IIS 5.0 isolation mode will cause UDDI Services to no longer function. For more information, see IIS Isolation Modes in IIS Help.
  • Each computer that is a member of a Web farm must be configured to use the same ValidationKey and DecryptionKey keys in the machine.config file. For more information, see the .NET Framework General Reference description of the machineKey element on the Microsoft Web site.
  • If a computer hosting a UDDI Services Web server component is promoted to a domain controller using DCPROMO, IIS and the UDDI Services Web server component will cease to function. For more information, see the Microsoft Knowledge Base article discussing this issue on the Microsoft Support Web site.
  • When installing UDDI Services from a Terminal Server session, a dialog box appears requiring UDDI Services to be installed in Multi User mode. UDDI Services does not support multi-user installations and will not function correctly. To prevent Multi User mode errors, you must change your current user session to Install Mode before you install UDDI Services.

    To change your current user session

      1. Before you install UDDI Services, type change user /Install at the command prompt.
      2. When your UDDI Services installation is complete, type change user /Execute at the command prompt.


Glossary

    A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

    Select the first letter of the word from the list above to jump to appropriate section of the glossary.

    A

  • Administrator An individual who can query, publish, coordinate, and administer UDDI Services. In addition to Coordinator user rights for the Web-based user interface, an Administrator can administer service options, manage security settings, perform backups, and carry out other administrative tasks at the system level by using the UDDI Services Web user interface, Microsoft Management Console (MMC) snap-in and command line tools. By default, the Administrator group uses the local computer group BUILTIN\Administrators.
    Back to top

    B

  • binding Binding The point where a specific implementation of a service can be accessed, such as the URL where an interface can be found. Bindings may also include one or more instance info structures.
    Back to top

    C

  • Categorization Scheme A collection of categories and subcategories used to describe and locate providers, services, and tModels. A categorization scheme may contain public classifications, such as the North American Industry Classification System (NAICS). It may also contain company-defined categorizations. For example, useful categorization schemes might be constructed around geographical locations, industry segments, or a company's organizational structure. Categorization provides a consistent means by which users can search for providers and services or locate interfaces of a particular type, location, or other attribute.
  • contact Contact A human or computer resource that can be contacted for information about a provider or the XML Web services it offers. A provider may have as many contacts as is necessary to identify each of its available contact points.
  • Coordinator An individual who can query, publish, and configure data in the UDDI Services Web-based user interface. In addition to Publisher user rights, a Coordinator can view and modify any data stored in UDDI Services, change entity ownerships, import categorization schemes, and generate and view statistical reports. By default, the Coordinator group uses the local computer group BUILTIN\Administrators.
    Back to top

    D

  • Discovery URL An HTTP-accessible resource that typically responds to an HTTP-GET request with technical information describing a provider. When a provider is created, UDDI Services automatically creates a discovery URL pointing to that provider's businessEntity within that installation of UDDI Services.
    Back to top

    I

  • Identifier An organization-wide identification scheme used to logically group providers and tModels by a common form of identification, such as a cost code or D-U-N-S® Number. Identifiers are optional descriptions and are intended to enhance the discovery of providers and tModels in search operations.
  • instance info Instance Info A reference to a tModel that contains relevant technical information about a binding, such as an interface specification document or Web Services Description Language (WSDL) file.
  • Instance Parameters The settings or parameters that are supported by an instance of a binding. An instance parameter may be either a list of settings and parameters or the URL of a file that contains a list of supported settings and parameters.
  • Interface The address or location where a service or application can be invoked. For example, a weather report Web service might publish a single interface: http://www.mycompany.com/weather.asmx
    Back to top

    O

  • Overview Document URL An address of an Hypertext Transfer Protocol (HTTP)-accessible resource that hosts data or information you would like to associate with an entity. For example, a tModel overview document might provide the URL to an interface definition or Web Service Description Language (WSDL) file that provides technical information that is required to invoke a service through an interface. For an instance info, an overview document might provide additional technical information that is only applicable to a specific implementation of an interface.
    Back to top

    P

  • provider Provider A party—any business, or physical or conceptual group—that offers one or more XML Web services. For example, a business, business unit, organization, organizational department, person, computer, or an application can be a provider in UDDI Services. In the UDDI Services data structure, a provider represents the "parent" entity under which all contact, service, and interface information is stored and organized.
  • Publisher An individual who can query and publish in UDDI Services. A Publisher can add entities to UDDI Services or modify any of the entities that they own. By default, the Publisher group uses the local computer group BUILTIN\Administrators.
    Back to top

    R

  • Relationships The identity, parent-child or peer-peer relationships between providers. Relationships are useful, for example, when describing an organizational structure or advertising business partnerships.
    Back to top

    S

  • service Service An entity in UDDI Services that describes and provides access to a function you would like to share with other UDDI Services users. Services can perform any function across a network, from simple requests to complicated business processes. A stock ticker feed and an online procurement system are each examples of functions that can be published as a service. Services may have one or more bindings.
  • Site A complete installation of all UDDI Services components, including at least one Web server component connected to a database component.
  • SOAP (Simple Object Access Protocol) A World Wide Web Consortium (W3C) standard, lightweight protocol for exchange of information in a decentralized, distributed environment. SOAP is an Extensible Markup Language (XML)-based protocol that consists of three parts: an envelope that defines a framework for describing what is in a message and how to process it; a set of encoding rules for expressing instances of application-defined data types; and a convention for representing remote procedure calls and responses.
    Back to top

    T

  • tModel tModel tModels are typically used to provide technical information about an interface, such as a Web Service Description Language (WSDL) file, that describes the conventions that are supported by an interface. tModels are also used to represent an organized unit of descriptive data, such as an identification or categorization scheme. How tModels are used in your implementation may vary, depending upon your organization's Web services publishing data model.
    Back to top

    U

  • Universal Description, Discovery and Integration (UDDI) An industry specification for publishing and locating information about Web services. It provides a standards-based way to store and retrieve information about services, service providers, binding information, and technical interface definitions, all classified using a set of standard or custom classification schemes.
  • User An individual who can only query UDDI Services for Web service information. Any partner or organization with whom you would like to share your Web services data must be part of, at minimum, the User group. By default, the User group uses the local computer group BUILTIN\Users.
    Back to top

    W

  • Web Service A unit of application logic that provides data and services to other applications that can be invoked using standard Internet transport protocols such as Hypertext Transfer Protocol (HTTP), Simple Mail Transfer Protocol (SMTP), or File Transfer Protocol (FTP). Web services can perform functions ranging from simple requests to complicated business processes..
  • WSDL (Web Service Description Language) An Extensible Markup Language (XML) grammar that developers and development tools use to represent the capabilities of an XML Web service.
    Back to top

    X

  • XML (Extensible Markup Language) A universal format for structured documents and data on the Web. XML is an industry-standard protocol administered by the World Wide Web Consortium (W3C).
  • XML Web Service A unit of application logic that provides data and services to other applications that can be invoked over standard Internet transport protocols. Invocations of XML (Extensible Markup Language) Web services are formatted in XML and often use protocols such as Simple Object Access Protocol (SOAP) and the Hypertext Transfer Protocol (HTTP) transport.


Legal Information

Microsoft Documentation

Information in this document is subject to change without notice. The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 1997-2002 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, MS, Windows, Windows NT, ActiveX, JScript, Microsoft Press, Visual Basic, Visual C++, Visual J++, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

Macintosh and QuickTime are registered trademarks of Apple Computer, Inc.

Other product and company names mentioned herein may be the trademarks of their respective owners.


Compile Date

 Compile Date: 2003-01-03


Configure UDDI Services Site

  • Connect to a Site
  • Roles and Permissions Settings
  • Authentication, SSL, and Cryptography Settings
  • Active Directory Integration
  • Advanced Settings